summaryrefslogtreecommitdiffstats
path: root/perl
diff options
context:
space:
mode:
author Robby Workman2012-09-08 05:21:51 +0200
committer Robby Workman2012-09-08 05:21:51 +0200
commitf72fd46a6724e709b7fbbe086d624cc69982f20c (patch)
tree43b6ffb53645ca6f4ca2298e20381e5e6b990872 /perl
parent66e6259e8a3de2be297838bd56b656964752b891 (diff)
downloadslackbuilds-f72fd46a6724e709b7fbbe086d624cc69982f20c.tar.gz
perl/locale-gettext: Moved from Libraries category
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'perl')
-rw-r--r--perl/locale-gettext/README5
-rw-r--r--perl/locale-gettext/locale-gettext.SlackBuild76
-rw-r--r--perl/locale-gettext/locale-gettext.info10
-rw-r--r--perl/locale-gettext/slack-desc19
4 files changed, 110 insertions, 0 deletions
diff --git a/perl/locale-gettext/README b/perl/locale-gettext/README
new file mode 100644
index 0000000000..e20531622e
--- /dev/null
+++ b/perl/locale-gettext/README
@@ -0,0 +1,5 @@
+Locale::gettext perl module
+
+This is a perl5 module quickly written to gain access to
+the C library functions for internationalization. They work
+just like the C versions.
diff --git a/perl/locale-gettext/locale-gettext.SlackBuild b/perl/locale-gettext/locale-gettext.SlackBuild
new file mode 100644
index 0000000000..d955edea0e
--- /dev/null
+++ b/perl/locale-gettext/locale-gettext.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for locale-gettext perl module
+
+# Copyright 2006-2012 Robby Workman, Northport, Alabama, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=locale-gettext
+VERSION=${VERSION:-1.05}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf gettext-$VERSION
+tar xvf $CWD/gettext-$VERSION.tar.gz || exit 1
+cd gettext-$VERSION || exit 1
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+perl Makefile.PL PREFIX=/usr || exit 1
+make || exit 1
+make pure_vendor_install DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mv $PKG/usr/share/man $PKG/usr/man
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+rm -rf $PKG/usr/share
+ # Remove 'special' files
+ find $PKG -name perllocal.pod \
+ -o -name "\.packlist" \
+ -o -name "*.bs" \
+ | xargs rm -f
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/locale-gettext/locale-gettext.info b/perl/locale-gettext/locale-gettext.info
new file mode 100644
index 0000000000..19fa68c770
--- /dev/null
+++ b/perl/locale-gettext/locale-gettext.info
@@ -0,0 +1,10 @@
+PRGNAM="locale-gettext"
+VERSION="1.05"
+HOMEPAGE="http://search.cpan.org/~pvandry/gettext/gettext.pm"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/P/PV/PVANDRY/gettext-1.05.tar.gz"
+MD5SUM="f3d3f474a1458f37174c410dfef61a46"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Robby Workman"
+EMAIL="rworkman@slackbuilds.org"
diff --git a/perl/locale-gettext/slack-desc b/perl/locale-gettext/slack-desc
new file mode 100644
index 0000000000..6224698a79
--- /dev/null
+++ b/perl/locale-gettext/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+locale-gettext: locale-gettext (Locale::gettext perl module)
+locale-gettext:
+locale-gettext: This is a perl5 module quickly written to gain access to
+locale-gettext: the C library functions for internatialization. They work
+locale-gettext: just like the C versions.
+locale-gettext:
+locale-gettext:
+locale-gettext:
+locale-gettext:
+locale-gettext:
+locale-gettext: